/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}

body {
	line-height: 1;
}

ol, ul {
	list-style: none;
}

blockquote, q {
	quotes: none;
}

blockquote:before, blockquote:after,

q:before, q:after {
	content: '';
	content: none;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}




/***********/
/*  STYLE  */
/**********/

body, html {
    background-color:#7F6398;
    font-family: 'Raleway', sans-serif;
    font-size: 16px;
    color: black;
}

.content {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    padding-top: 30px;
    min-height: 95vh;
}

.inner {
    max-width: 800px;
    margin: 10px;
    text-align: center;
    margin-top: 10px;
    min-height: 600px;
}

.box {
    max-width: 800px;
}

.logo {
    height: 80px;
    margin: 10px 0 0 0;
    width: auto;
}

h1 {
    font-family: '3dumbregular', Arial, sans-serif;
    font-size: 34px;
    color: yellow;
    margin-bottom: 25px;
}

p {
    color: white;
    font-size: 18px;
    margin: 0 5px 20px;
    line-height: 25px;
    text-align: center;
}

p.secondary {
    color: white;
    font-size: 16px;
    margin: 0 5px 20px;
    line-height: 20px;
    text-align: center;
}

a.grey {
    color: #adabab;
}

p.tiny {
    color: rgb(173, 171, 171);
    font-size: 14px;
    margin: 0 5px 20px;
    line-height: 16px;
    text-align: center;
}


p.fancy-font {
    font-family: '3dumbregular', Arial, sans-serif;
    font-size: 60px;
    color: white;
    margin-bottom: 25px;
}

p.highlight, p.highlight a {
    color: yellow;
    font-size: 25px;
    font-weight: 600;
    margin-bottom: 25px;
    line-height: 28px;
    text-align: center;
}

.bottom {
    align-items: center;
    background-image: radial-gradient(#624C76 20%, transparent 10%), radial-gradient(#624C76 20%, transparent 20%);
    background-color: #7f6398;
    background-position: 40px 40px, 65px 65px;
    background-size: 50px 50px;
    height: 180px;
    justify-content: center;
    padding-bottom: 20px;
    width: 100%;  
}

footer {
    align-items: flex-end;
    background-color: white;
    display: flex;
    height: 100px;
    justify-content: center;
    width: 100%;    
}

.logo-outer {
    background-color: white;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    margin: 0 auto;
    height: 150px;
    width: 150px;
}

input, input:focus, select, select:focus, textarea, textarea:focus {
    height: 50px;
    border-radius: 6px;
    box-shadow: none;
    border: none;
    width: 300px;
    padding: 0 10px;
    font-size: 16px;
    color: #7f6398;
    outline: none;
}

 textarea, textarea:focus {
    height: 150px;
    border-radius: 6px;
    box-shadow: none;
    border: none;
    width: 300px;
    padding: 10px;
    font-size: 16px;
    color: #7f6398;
    outline: none;
}

input[type = checkbox] {
    width: 22px;
    height: 22px;
}

select, select:focus {
    width: 320px;
}

form {
    margin-bottom: 75px;
}

input:focus, select:focus {
    background-color: rgb(248, 248, 220);
}

input[type=submit] {
   background-color: yellow;
   width: 320px;
   margin-top: 20px;
   font-weight: 600;
   font-size: 20px;
}

input[type=submit]:hover {
    border: yellow;
    color: yellow;
    background-color: #624C76;
    box-shadow: 0 0.5em 0.5em -0.4em yellow;
    transform: translateY(-0.25em);
}

.outer-check {
    width: 300px;
    color: white;
    margin: 15px 0 30px 0;
    position: relative;
}

.outer-check input:checked  ~ .checkmark{
    background-color: #1c0433;;
}

.outer-check input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }

.outer-check .checkmark {
    position: absolute;
    top: 0;
    left: 15px;
    height: 22px;
    width: 22px;
    background-color: white;
  }

  .outer-check .checkmark:after {
    content: "";
    position: absolute;
    display: none;
  }
  
  .outer-check input:checked ~ .checkmark:after {
    display: block;
  }
  
  .outer-check .checkmark:after {
    left: 8px;
    top: 2px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
  }

  .outer-check label {
    padding-top: 2px
  }

  .outer-label {
      color: white;
      margin: 15px 0 5px 0;
      position: relative;
     
  }


footer p {
    color: #624C76;
    font-size: 14px;
    padding-bottom: 10px;
    position: absolute;
}

@media screen and (min-width: 480px) {
    .outer-check{
        margin: 10px 0 30px 50px;
    }

    .outer-check .checkmark {
        left: 25px;
    }

    .outer-check label {
        padding-left: 10px
    }

    textarea, textarea:focus {
        width: 640px;
    }

    .outer-label {
        left: 16px
    }
}


/*** PRICES ***/

#prices table {
    border: 1px solid #fff;
    color: #fff;
    margin: 30px auto;
    width: 260px
}

#prices table th, td {
    padding: 8px 16px;
    text-align: left;
    border-bottom: 1px solid #ddd;
}

#prices .highlight, #prices a {
    color: yellow;
    font-weight: 700;
    font-size: 20px; 
    margin-left: -20px;
    text-decoration: none;
}

#prices table th {
    font-size: 22px;
    font-weight: 700;
    text-align: center;
}

table#gas th, table#diesel th  {
    background-color: transparent;
    color: white
}

table#gas th span{
    color: #41AD4A;
    font-size: 26px
}

table#diesel th span {
    color: #000;
    font-size: 26px
}

.icon {
  position: relative;
  left: 270px
}

@media screen and (min-width: 480px) {
    #gas-prices, #diesel-prices {
      display: inline-block;
      margin: 30px
    }
}

/****** SUBSCRIBE ********/

#subscribe {
    justify-content: flex-start;
}

#subscribe a{
    color: #ccc;
}

#subscribe input {
    margin-bottom: 10px;
}

@media screen and (min-width: 480px) {
    #subscribe {
        margin-top: 80px;
    } 

    #subscribe input:nth-of-type(odd) {
        margin-right: 10px;
    }
}

#subscribe input[type=submit]:hover {
    border: yellow;
    color: yellow;
    background-color: #624C76;
    box-shadow: none;
    transform: none;
}

#subscribe .g-recaptcha  {
    display: flex;
    justify-content: center;
}

.message {
    margin: 40px 10px;
    text-align: center;
    color: yellow;
    font-size: 20px;
}

.error {
    color: yellow;
}

#loader {
    position: relative;
    top: -100px;
    left: 20px;
    border: 6px solid #624c76;
    border-top: 6px solid #a892bb;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    animation: spin 2s linear infinite;
    display: none;
}
  
@keyframes spin {
0% { transform: rotate(0deg); }
100% { transform: rotate(360deg); }
}

@media screen and (min-width: 480px) {
    #loader {
        left: 260px
    }
}





/****** SHOW SUBSCRIBER ********/

body.subscriber {
  background-color: white;
}

body.subscriber .container{
    background-color: white;
    height: 100vh;
    margin: 0px 20px 0px;
    padding-top: 50px
}

/****** PRIVACIDAD ********/
.privacidad p{
    text-align: justify;
}

.privacidad h1{
    text-align: center;
}

.privacidad ul {
    color: white;
    font-size: 18px;
    margin: 0 20px 20px;
    line-height: 25px;
    text-align: left;
    list-style: circle;
}











